## kernel-image-2.4.27-sparc 2.4.27-9

=== debian/changelog ===
kernel-image-2.4.27-sparc (2.4.27-9) unstable; urgency=high

  * Build against 2.4.27-9.

 -- Andres Salomon <dilinger@debian.org>  Sat, 02 Apr 2005 23:25:01 -0500

kernel-image-2.4.27-sparc (2.4.27-2) unstable; urgency=medium

  * Add missing build-depends on modutils (minor, this package is
    never built from source)
  * Add missing Depends on modutils for kernel-image-*. (pretty major..!)
  * Set CONFIG_DM9102=m, thanks Thomas Michlmayr.
  * Bump soname to 2 because of security fixes from kernel-tree-2.4.27-8.
  * Disable CONFIG_PCI, closes: #288140

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 14 Feb 2005 12:27:06 -0800

kernel-image-2.4.27-sparc (2.4.27-1) unstable; urgency=high

  * Joshua Kwan
    - Switch to an initrd-using scheme, and a better
      versioning scheme.
    - Bump to 2.4.27. This fixes some serious security bugs.
    - Drop patches-obsolete, they're REALLY obsolete now.
    - Patch work:
      + (REMOVED) 01_sparc64_i2c.dpatch: Merged upstream.
      + (REMOVED) 02_sparc64_use_CC.dpatch: Merged upstream.
      + (REMOVED) 03_sparc64_lvalue_casts.dpatch: Merged upstream.
      + (REMOVED) 04_sparc32_use_ld_-V.dpatch: Merged upstream.
        Thanks DaveM!
      + (ADDED) 05_GPL_and_SYMBOLS.dpatch: Some files not marked GPL
        actually are. Mark them. Also remove obsolete EXPORT_NO_SYMBOLS
        stuff. Merged into kernel-source-2.4.27 2.4.27-1.
    - Change Maintainer field to the Debian kernel team.
    - Change package name to kernel-image-2.4.27-sparc. This allows us to
      use 2.4.27-1 without an epoch, and is more standard anyway.
    - Change Build-Depends on gcc 3.3 to gcc (>= 4:3.3).
    - Change to Herbert Xu's kernel build system.
    - Add sym53c8xx and ncr53c8xx as modules.
    - Disable CONFIG_INET_ECN on sparc64, this can be twiddled with a sysctl
      setting.
    - Drop the kernel metapackages as we're about to hustle in a unified
      metapackage source package for all 2.4 kernels in Debian.

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 21 Aug 2004 19:26:10 -0700

kernel-image-sparc-2.4 (39) unstable; urgency=low

  * Joshua Kwan
    - Back out Ben's SILO-initrd patch. Busted.
    - Build openprom.o into the kernel to allow discover goodness to
      occur. Does not bust the size barrier.

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 19 Jun 2004 19:52:22 -0700

kernel-image-sparc-2.4 (38) unstable; urgency=medium

  * Joshua Kwan
    - Bump CONFIG_BLK_DEV_RAM_SIZE to 8192 to fix netboots for d-i.
    - Add dummy packages kernel-image-2.4-sparc{32,64}{,-smp} to facilitate
      upgrades.
    - Make the build process smarter so it doesn't need sparc-utils and
      can thus be cross-compiled.
    - Fix short descriptions and remove Emacs settings from changelog.
    - Remove obsolete include.{prerm,postinst} and choose-env that aren't
      used anymore.
    - Patch work
      + 02_sparc64_use_CC: use $(CC) instead of 'gcc' for tests in
        arch/sparc64/Makefile.
      + 03_sparc64_lvalue_casts: fix large amounts of warning output for
        asm-sparc64/pgalloc.h by fixing casts of lvalues.
      + 04_sparc32_use_ld_-V: use $(LD) -V | grep elf64_sparc for the
        $(NEW_GAS) test.
      + 05_silo_initrd_EXP.dpatch (new): Debugging code to figure out the
        whole initrd mess on sparc64.
    - Use tar --bzip2 -xf to make backports frendlier.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 26 May 2004 18:30:56 -0700

kernel-image-sparc-2.4 (37) unstable; urgency=medium

  * Joshua Kwan
    - [sparc32] Build isofs.o into the kernel image to remove the need for
      a special isofs module package (!) for the Debian installer.
    - Lose some highly uncommon framebuffer drivers to cut down on kernel
      image size (FB drivers aren't modularized), because the PROM console
      works anyway.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 23 Apr 2004 18:23:36 -0700

kernel-image-sparc-2.4 (36) unstable; urgency=medium

  * New maintainers Rob Radez and Joshua Kwan.
  * Bump to 2.4.26
    - mremap vulnerabilities are all addressed.
    - All patches to 2.4.24 sources have been merged; remove all patches
      in patches-obsolete, move patches/* to patches-obsolete
  
  * Enable CONFIG_QUOTA. (Closes: #231246)
  * Enable CONFIG_CRAMFS. (Closes: #236052)
  * Modularize some less oft-used drivers to shrink the kernel
    to a usable size for sparc32 SMP kernels. (Closes: #234404)
  * Disable CONFIG_BT848, it's broken even with the fix in the dpatch
    below.

  * Patch work
    - 01_sparc64_i2c.dpatch: rope in drivers/i2c/Config.in for sparc64,
      build as modules CONFIG_I2C and CONFIG_I2C_ALGOBIT to resolve depmod
      issues (Closes: #234442)
  
  * Trivial fixes
    - Remove kernel-headers stuff - superseded by linux-kernel-headers
      last release, but files were never removed from debian/.
    - Remove unused generate-asm.sh.
    - Fix some extraneous spaces in the control file.
    - Fix build-dependencies for kernel-package and modutils.
    - Fix insidious bug where sparc32/64 wasn't being used all the time.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun,  4 Apr 2004 17:49:16 -0700

kernel-image-sparc-2.4 (35) unstable; urgency=low

  * Bump to 2.4.24. Closes: #162462, #230245, #218195, #225170, #225429
  * Remove udeb's. Closes: #227644, #227622
  * Added debhelper to build depends. Finally Closes: #176192
  * check_asm.c fixed in source tarball. Closes: #227467
  * Added kernel-package to build depends. Closes: #227626
  * Updated default configs. Closes: #227276, #205374
  * Includes patches in #223893. Closes: #223893
  * Added APPEND_TO_VERSION for builds. Closes: #227647, #223571
  * Enabled CONFIG_SUN_BPP=m. Closes: #166253
  * Newer SILO available can boot larger images. Added patch to allow these
    kernels to be loaded into higher memory. Closes: #225848
  * Get rid of kernel-headers package. Glibc is now using some other generic
    package.


