=== debian/control ===
Source: kernel-image-2.4.27-sparc
Section: devel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Rob Radez <rob@osinvestor.com>, Joshua Kwan <joshk@triplehelix.org>, Andres Salomon <dilinger@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: gcc (>= 4:3.3), kernel-tree-2.4.27-9, debhelper (>= 4), kernel-package, sparc-utils, modutils

Package: kernel-build-2.4.27-2
Architecture: sparc
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2-sparc64, kernel-headers-2.4.27-2-sparc64-smp, kernel-headers-2.4.27-2-sparc32, kernel-headers-2.4.27-2-sparc32-smp
Description: Headers for building modules for Linux 2.4.27
 This package provides kernel header files for building modules for the
 precompiled kernel images on SPARC (both 32 and 64 bit, uniprocessor and
 multiprocessor.)

Package: kernel-headers-2.4.27-2
Architecture: sparc
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to Linux kernel version 2.4.27
 This package provides kernel header files for version 2.6.8, generally
 used for building out-of-tree kernel modules. See the 'module-assistant'
 package for more information.
 .
 This package consists mostly of the common files between the three header
 packages you should really be using for building modules:
 .
 - kernel-headers-2.4.27-2-sparc32
 - kernel-headers-2.4.27-2-sparc32-smp
 - kernel-headers-2.4.27-2-sparc64
 - kernel-headers-2.4.27-2-sparc64-smp
 .
 For more information you can also read:
 /usr/share/doc/kernel-headers-2.4.27-2/debian.README.gz.

Package: kernel-headers-2.4.27-2-sparc32
Architecture: sparc
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
Provides: kernel-headers, kernel-headers-2.4
Description: Header files for Linux kernel 2.4.27 on uniprocessor 32-bit SPARC 
 This package provides kernel header files for version 2.4.27 on the 32-bit
 SPARC architecture, used to build out-of-tree kernel modules.
 .
 You need this package to build modules if "uname -r" returns 2.4.27-2-sparc32.
 Please see the "module-assistant" package for more information on building
 external kernel modules.

Package: kernel-image-2.4.27-2-sparc32
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.27
Depends: initrd-tools (>= 0.1.63), modutils (>= 2.4.19)
Description: Linux kernel binary image for sun4c, sun4m and sun4d
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: sparc32 includes virtually all non-UltraSPARC systems. If you do not
 have an UltraSPARC, this is most likely the kernel you want.

Package: kernel-headers-2.4.27-2-sparc32-smp
Architecture: sparc
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
Provides: kernel-headers, kernel-headers-2.4
Description: Header files for Linux kernel 2.4.27 on multiprocessor 32-bit SPARC
 This package provides kernel header files for version 2.4.27 on the 32-bit
 SPARC architecture, used to build out-of-tree kernel modules.
 .
 You need this package to build modules if "uname -r" returns
 2.4.27-2-sparc32-smp. Please see the "module-assistant" package for more
 information on building external kernel modules.

Package: kernel-image-2.4.27-2-sparc32-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.27
Depends: initrd-tools (>= 0.1.63), modutils (>= 2.4.19)
Description: Linux kernel binary image for SMP sun4m and sun4d
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and SILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: sparc32 includes virtually all non-UltraSPARC systems. If you do not
 have an UltraSPARC, this is most likely the kernel you want. Also, this
 kernel is specifically for SMP (multiple processors) systems. If you do not
 have more than one CPU, then choose the non-SMP kernel image.

Package: kernel-headers-2.4.27-2-sparc64
Architecture: sparc
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
Provides: kernel-headers, kernel-headers-2.4
Description: Header files for Linux kernel 2.4.27 on uniprocessor 64-bit SPARC
 This package provides kernel header files for version 2.4.27 on the 64-bit
 SPARC architecture, used to build out-of-tree kernel modules.
 .
 You need this package to build modules if "uname -r" returns 2.4.27-2-sparc64.
 Please see the "module-assistant" package for more information on building
 external kernel modules.

Package: kernel-image-2.4.27-2-sparc64
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.27
Depends: initrd-tools (>= 0.1.63), modutils (>= 2.4.19)
Description: Linux kernel binary image for UltraSPARC (sparc64) systems
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sparc64) class systems. If you
 do not have an UltraSPARC, then most likely you want the sparc32 image.

Package: kernel-headers-2.4.27-2-sparc64-smp
Architecture: sparc
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
Provides: kernel-headers, kernel-headers-2.4
Description: Header files for Linux kernel 2.4.27 on multiprocessor 64-bit SPARC
 This package provides kernel header files for version 2.4.27 on the 32-bit
 SPARC architecture, used to build out-of-tree kernel modules.
 .
 You need this package to build modules if "uname -r" returns
 2.4.27-2-sparc64-smp. Please see the "module-assistant" package for more
 information on building external kernel modules.

Package: kernel-image-2.4.27-2-sparc64-smp
Section: base
Architecture: sparc
Priority: optional
Provides: kernel-image, kernel-image-2.4
Suggests: silo, fdutils, kernel-doc-2.4.27
Depends: initrd-tools (>= 0.1.63), modutils (>= 2.4.19)
Description: Linux kernel binary image for SMP UltraSPARC (sparc64) systems
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
 .
 NOTE: This kernel is strictly for UltraSPARC (sparc64) class systems. If you
 do not have an UltraSPARC, then most likely you want the sparc32 image.
 Also, this kernel is specifically for SMP (multiple processors) systems. If
 you do not have more than one CPU, then choose the non-SMP kernel image.
