=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Rob Radez <rob@osinvestor.com>, Joshua Kwan <joshk@triplehelix.org>, Andres Salomon <dilinger@debian.org>
 Standards-Version: 3.6.1.0
-Build-Depends: gcc (>= 4:3.3), kernel-tree-2.4.27-9, debhelper (>= 4), kernel-package, sparc-utils, modutils
+Build-Depends: gcc (>= 4:3.3), kernel-tree-2.4.27-10sarge5, debhelper (>= 4), kernel-package, sparc-utils, modutils
 
-Package: kernel-build-2.4.27-2
+Package: kernel-build-2.4.27-3
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2-sparc64, kernel-headers-2.4.27-2-sparc64-smp, kernel-headers-2.4.27-2-sparc32, kernel-headers-2.4.27-2-sparc32-smp
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-3-sparc64, kernel-headers-2.4.27-3-sparc64-smp, kernel-headers-2.4.27-3-sparc32, kernel-headers-2.4.27-3-sparc32-smp
 Description: Headers for building modules for Linux 2.4.27
  This package provides kernel header files for building modules for the
  precompiled kernel images on SPARC (both 32 and 64 bit, uniprocessor and
  multiprocessor.)
 
-Package: kernel-headers-2.4.27-2
+Package: kernel-headers-2.4.27-3
 Architecture: sparc
 Section: devel
 Priority: optional
@@ -30,29 +30,29 @@
  This package consists mostly of the common files between the three header
  packages you should really be using for building modules:
  .
- - kernel-headers-2.4.27-2-sparc32
- - kernel-headers-2.4.27-2-sparc32-smp
- - kernel-headers-2.4.27-2-sparc64
- - kernel-headers-2.4.27-2-sparc64-smp
+ - kernel-headers-2.4.27-3-sparc32
+ - kernel-headers-2.4.27-3-sparc32-smp
+ - kernel-headers-2.4.27-3-sparc64
+ - kernel-headers-2.4.27-3-sparc64-smp
  .
  For more information you can also read:
- /usr/share/doc/kernel-headers-2.4.27-2/debian.README.gz.
+ /usr/share/doc/kernel-headers-2.4.27-3/debian.README.gz.
 
-Package: kernel-headers-2.4.27-2-sparc32
+Package: kernel-headers-2.4.27-3-sparc32
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-3
 Provides: kernel-headers, kernel-headers-2.4
 Description: Header files for Linux kernel 2.4.27 on uniprocessor 32-bit SPARC 
  This package provides kernel header files for version 2.4.27 on the 32-bit
  SPARC architecture, used to build out-of-tree kernel modules.
  .
- You need this package to build modules if "uname -r" returns 2.4.27-2-sparc32.
+ You need this package to build modules if "uname -r" returns 2.4.27-3-sparc32.
  Please see the "module-assistant" package for more information on building
  external kernel modules.
 
-Package: kernel-image-2.4.27-2-sparc32
+Package: kernel-image-2.4.27-3-sparc32
 Section: base
 Architecture: sparc
 Priority: optional
@@ -77,21 +77,21 @@
  NOTE: sparc32 includes virtually all non-UltraSPARC systems. If you do not
  have an UltraSPARC, this is most likely the kernel you want.
 
-Package: kernel-headers-2.4.27-2-sparc32-smp
+Package: kernel-headers-2.4.27-3-sparc32-smp
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-3
 Provides: kernel-headers, kernel-headers-2.4
 Description: Header files for Linux kernel 2.4.27 on multiprocessor 32-bit SPARC
  This package provides kernel header files for version 2.4.27 on the 32-bit
  SPARC architecture, used to build out-of-tree kernel modules.
  .
  You need this package to build modules if "uname -r" returns
- 2.4.27-2-sparc32-smp. Please see the "module-assistant" package for more
+ 2.4.27-3-sparc32-smp. Please see the "module-assistant" package for more
  information on building external kernel modules.
 
-Package: kernel-image-2.4.27-2-sparc32-smp
+Package: kernel-image-2.4.27-3-sparc32-smp
 Section: base
 Architecture: sparc
 Priority: optional
@@ -118,21 +118,21 @@
  kernel is specifically for SMP (multiple processors) systems. If you do not
  have more than one CPU, then choose the non-SMP kernel image.
 
-Package: kernel-headers-2.4.27-2-sparc64
+Package: kernel-headers-2.4.27-3-sparc64
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-3
 Provides: kernel-headers, kernel-headers-2.4
 Description: Header files for Linux kernel 2.4.27 on uniprocessor 64-bit SPARC
  This package provides kernel header files for version 2.4.27 on the 64-bit
  SPARC architecture, used to build out-of-tree kernel modules.
  .
- You need this package to build modules if "uname -r" returns 2.4.27-2-sparc64.
+ You need this package to build modules if "uname -r" returns 2.4.27-3-sparc64.
  Please see the "module-assistant" package for more information on building
  external kernel modules.
 
-Package: kernel-image-2.4.27-2-sparc64
+Package: kernel-image-2.4.27-3-sparc64
 Section: base
 Architecture: sparc
 Priority: optional
@@ -157,21 +157,21 @@
  NOTE: This kernel is strictly for UltraSPARC (sparc64) class systems. If you
  do not have an UltraSPARC, then most likely you want the sparc32 image.
 
-Package: kernel-headers-2.4.27-2-sparc64-smp
+Package: kernel-headers-2.4.27-3-sparc64-smp
 Architecture: sparc
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.4.27-3
 Provides: kernel-headers, kernel-headers-2.4
 Description: Header files for Linux kernel 2.4.27 on multiprocessor 64-bit SPARC
  This package provides kernel header files for version 2.4.27 on the 32-bit
  SPARC architecture, used to build out-of-tree kernel modules.
  .
  You need this package to build modules if "uname -r" returns
- 2.4.27-2-sparc64-smp. Please see the "module-assistant" package for more
+ 2.4.27-3-sparc64-smp. Please see the "module-assistant" package for more
  information on building external kernel modules.
 
-Package: kernel-image-2.4.27-2-sparc64-smp
+Package: kernel-image-2.4.27-3-sparc64-smp
 Section: base
 Architecture: sparc
 Priority: optional
